Commit d950fcf5 authored by Mark Hindley's avatar Mark Hindley

Rework dependencies to work with reinstated transitional packages.

parent 9f1d9836
......@@ -147,8 +147,8 @@ Depends:
${misc:Depends},
${shlibs:Depends},
consolekit,
Conflicts: libpolkit-gobject-1-0, libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0, libpolkit-gobject-elogind-1-0
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit Authorization API
......@@ -167,7 +167,7 @@ Depends:
libpolkit-gobject-consolekit-1-0 (= ${binary:Version}),
${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-elogind-1-dev
Replaces: libpolkit-gobject-1-dev
Description: PolicyKit Authorization API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -186,8 +186,8 @@ Depends:
${shlibs:Depends},
libelogind0,
libpam-elogind
Conflicts: libpam-ck-connector, libpolkit-gobject-1-0, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0, libpolkit-gobject-consolekit-1-0
Conflicts: libpam-ck-connector, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version}),
Multi-Arch: same
Description: PolicyKit Authorization API
......@@ -206,7 +206,7 @@ Depends:
libpolkit-gobject-elogind-1-0 (= ${binary:Version}),
${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-consolekit-1-dev
Replaces: libpolkit-gobject-1-dev
Description: PolicyKit Authorization API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -257,8 +257,8 @@ Depends:
${shlibs:Depends},
consolekit,
libpolkit-gobject-consolekit-1-0
Conflicts: libpolkit-backend-1-0, libpolkit-gobject-elogind-1-0
Replaces: libpolkit-backend-1-0, libpolkit-gobject-elogind-1-0
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-backend-1-0
Provides: libpolkit-backend-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit backend API
......@@ -276,7 +276,7 @@ Depends:
libpolkit-gobject-consolekit-1-dev,
${misc:Depends},
Provides: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-elogind-1-dev
Replaces: libpolkit-backend-1-dev
Description: PolicyKit backend API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -296,8 +296,8 @@ Depends:
libelogind0,
libpam-elogind,
libpolkit-gobject-elogind-1-0
Conflicts: libpam-ck-connector, consolekit, libpolkit-backend-1-0, libpolkit-backend-consolekit-1-0
Replaces: libpolkit-backend-1-0, libpolkit-backend-consolekit-1-0
Conflicts: libpam-ck-connector, consolekit, libpolkit-backend-consolekit-1-0
Replaces: libpolkit-backend-1-0
Provides: libpolkit-backend-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit backend API
......@@ -315,7 +315,7 @@ Depends:
libpolkit-gobject-elogind-1-dev,
${misc:Depends},
Provides: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-consolekit-1-dev
Replaces: libpolkit-backend-1-dev
Description: PolicyKit backend API - development files
PolicyKit is a toolkit for defining and handling the policy that
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment